package structs

import (
	"time"
)

type User struct {
	Id        string
	Username  string
	Email     string
	Password  string
	CreatedAt time.Time
}

type UserSession struct {
	Id        string
	UserId    string
	UserAgent string
	ExpiresAt time.Time
}

type UserLoginRequest struct {
	Username string
	Password string
}

type UserLoginResponse struct {
	Session string
}

type UserResponse struct {
	Username string
	Email    string
}
