package socketclients

import (
	"janex/admin-dashboard-backend/modules/cache"
	"janex/admin-dashboard-backend/modules/structs"
	"janex/admin-dashboard-backend/modules/utils"
)

func BroadcastMessage(sendSocketMessage structs.SendSocketMessage) {
	for _, client := range cache.GetSocketClients() {
		client.SendMessage(sendSocketMessage)
	}
}

func UpdateConnectedUsers() {
	BroadcastMessage(structs.SendSocketMessage{
		Cmd:  utils.SentCmdUpdateConnectedUsers,
		Body: len(cache.GetSocketClients()),
	})
}
